ScXMLBoolDataObj(3)

NAME
ScXMLBoolDataObj

SYNOPSIS

Inherits ScXMLConstantDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
ScXMLBoolDataObj (SbBool value)
void setBool (SbBool value)
SbBool getBool (void) const
virtual ScXMLDataObj * clone (void) const
virtual void convertToString (SbString &str) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static ScXMLDataObj * createFor (SbBool value)

  Additional Inherited Members

Member Function Documentation

  SoType ScXMLBoolDataObj::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLConstantDataObj.

  ScXMLDataObj * ScXMLBoolDataObj::clone (void) const [virtual]

Implements ScXMLConstantDataObj.

  void ScXMLBoolDataObj::convertToString (SbString & str) const [virtual]

Implements ScXMLConstantDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.